#!/bin/bash

echo "This script helps debug audio and USB KVM devices."
echo "Make sure you have the necessary permissions to access audio and USB devices."
echo ""


# List all audio devices
echo "------------------"
echo "Listing audio devices"
sudo ./remdeskd -mode=debug -tool=audio-devices

# List all USB KVM devices
echo "------------------"
echo "Listing USB KVM devices"
sudo ./remdeskd -mode=debug -tool=list-usbkvm
echo "------------------"
sudo ./remdeskd -mode=debug -tool=list-usbkvm-json